{***********************************************************************}
{ TMS Security System                                                   }
{ for Delphi & C++Builder                                               }
{                                                                       }
{ written by                                                            }
{   TMS Software                                                        }
{   Copyright  2003 - 2008                                             }
{   Email : info@tmssoftware.com                                        }
{   Web : http://www.tmssoftware.com                                    }
{***********************************************************************}
unit uIWChangePasswordDlg;

interface

uses
   Windows, SysUtils, Classes, Buttons, Forms, Dialogs, uSecControl, uIWChangePasswordForm,
   Controls, IWContainerLayout;

type
   TuilIWChangePasswordDlg = class(TComponent)
   private
     FChangePasswordForm   : TIWChangePasswordForm;
     FSecurityManager      : TuilSecurityManager;
     FTitleCaption,
     FCurrPasswordCaption,
     FNewPasswordCaption,
     FConfirmPasswordCaption,
     FOkButtonCaption,
     FCancelButtonCaption  : string;
     FLayoutMgr: TIWContainerLayout;
   protected
     procedure Notification(AComponent: TComponent; Operation: TOperation); override;
   public
     constructor Create(AOwner : TComponent); override;
     destructor Destroy; override;
     function Execute : boolean; virtual;
   published
     property SecurityManager: TuilSecurityManager read FSecurityManager write FSecurityManager;
     property TitleCaption : string read FTitleCaption write FTitleCaption;
     property CurrentPasswordCaption : string read FCurrPasswordCaption write FCurrPasswordCaption;
     property NewPasswordCaption : string read FNewPasswordCaption write FNewPasswordCaption;
     property ConfirmPasswordCaption : string read FConfirmPasswordCaption write FConfirmPasswordCaption;
     property OKButtonCaption : string read FOKButtonCaption write FOKButtonCaption;
     property CancelButtonCaption : string read FCancelButtonCaption write FCancelButtonCaption;
     property LayoutMgr : TIWContainerLayout read FLayoutMgr write FLayoutMgr;
   end;

implementation

uses
   Registry;

{ TuilLoginDlg }

constructor TuilIWChangePasswordDlg.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  // Set defaults...
  FTitleCaption := 'Change Password';
  FCurrPasswordCaption := 'Current password:';
  FNewPasswordCaption := 'New password:';
  FConfirmPasswordCaption := 'Confirm password';
  FCancelButtonCaption := 'Cancel';
  FOkButtonCaption := 'OK';
end;

destructor TuilIWChangePasswordDlg.Destroy;
begin
  inherited Destroy;
end;


function TuilIWChangePasswordDlg.Execute: boolean;
begin
  Result := False;
  if not Assigned(FSecurityManager) then
     raise Exception.Create('You must specify a Security Controller');

  FChangePasswordForm := TIWChangePasswordForm.Create(nil);
  try
    FChangePasswordForm.lbCurrentPassword.Caption := FCurrPasswordCaption;
    FChangePasswordForm.lbNewPassword.Caption := FNewPasswordCaption;
    FChangePasswordForm.lbConfirmPassword.Caption := FConfirmPasswordCaption;

    FChangePasswordForm.edCurrentPassword.Text := FSecurityManager.CurrentPassword;
//    FChangePasswordForm.CurrentPassword := FChangePasswordForm.edCurrentPassword.Text;

    FChangePasswordForm.edNewPassword.Text := '';
    FChangePasswordForm.edConfirmPassword.Text := '';

    FChangePasswordForm.btOK.Caption := FOKButtonCaption;
    FChangePasswordForm.btCancel.Caption := FCancelButtonCaption;
    FChangePasswordForm.Title := FTitleCaption;

    FChangePasswordForm.FSecurityManager := SecurityManager;
    FChangePasswordForm.LayoutMgr := LayoutMgr;

    {
    if FChangePasswordForm.ShowModal = idOK then
    begin
      FSecurityManager.ModifyPassword(FChangePasswordForm.txtNewPassword.Text);
    end;
    }

    FChangePasswordForm.Show;

  finally
    //FChangePasswordForm.Free;
  end;
end;



procedure TuilIWChangePasswordDlg.Notification(AComponent: TComponent;
  Operation: TOperation);
begin
  inherited;
  if (Operation = opRemove) and (AComponent = FSecurityManager) then
    FSecurityManager := nil;
end;

end.
