{***********************************************************************}
{ TMS Security framework                                                }
{ for Delphi & C++Builder                                               }
{                                                                       }
{ written by                                                            }
{   TMS Software                                                        }
{   Copyright  2003 - 2012                                             }
{   Email : info@tmssoftware.com                                        }
{   Web : http://www.tmssoftware.com                                    }
{***********************************************************************}

unit uIWChangePasswordForm;

{$I TMSDEFS.INC}

interface

uses
  Classes, SysUtils, IWAppForm, IWApplication, IWColor, IWTypes, IWCompEdit,
  IWDBStdCtrls, IWCompButton, IWVCLBaseControl, IWBaseControl,
  IWBaseHTMLControl, IWControl, IWCompLabel, Controls, Forms,
  IWVCLBaseContainer, IWContainer, IWHTMLContainer, IWHTML40Container, IWRegion
  ,uSecControl, IWVCLComponent, IWBaseLayoutComponent, IWBaseContainerLayout,
  IWContainerLayout, IWTemplateProcessorHTML, IWServer
  {$IFDEF TMSIW121}
  , IWCompExtCtrls, IWServerInternalFiles
  {$ENDIF}
  {$IFNDEF TMSIW121}
  , IWExtCtrls
  {$ENDIF}
  ;

type
  TIWChangePasswordForm = class(TIWAppForm)
    IWRegion2: TIWRegion;
    lbFormPolicy: TIWLabel;
    IWRegion1: TIWRegion;
    lbCurrentPassword: TIWLabel;
    lbNewPassword: TIWLabel;
    btOK: TIWButton;
    btCancel: TIWButton;
    edCurrentPassword: TIWDBEdit;
    edNewPassword: TIWDBEdit;
    edConfirmPassword: TIWDBEdit;
    lbConfirmPassword: TIWLabel;
    IWImageFile1: TIWImageFile;
    procedure btCancelClick(Sender: TObject);
    procedure btOKClick(Sender: TObject);
    procedure IWAppFormCreate(Sender: TObject);
  published
    FSecurityManager : TuilSecurityManager;
  public
  end;

implementation

{$R *.dfm}


procedure TIWChangePasswordForm.btCancelClick(Sender: TObject);
begin
  TIWAppForm(WebApplication.ActiveForm).Release;
end;

procedure TIWChangePasswordForm.btOKClick(Sender: TObject);
begin
  FSecurityManager.ModifyPassword(edNewPassword.Text);
  TIWAppForm(WebApplication.ActiveForm).Release;
end;

procedure TIWChangePasswordForm.IWAppFormCreate(Sender: TObject);
begin
  {$IFDEF TMSIW121}
  gInternalFiles.add('IW_GFX_permission', '/files/permission.gif');
  {$ELSE}
  TIWServer.AddInternalFile('IW_GFX_permission', '/files/permission.gif');
  {$ENDIF}
end;

end.
