{***********************************************************************}
{ TMS Security System                                                   }
{ for Delphi & C++Builder                                               }
{                                                                       }
{ written by                                                            }
{   TMS Software                                                        }
{   Copyright  2003 - 2012                                             }
{   Email : info@tmssoftware.com                                        }
{   Web : http://www.tmssoftware.com                                    }
{***********************************************************************}
unit uIWEditUserForm;

{$I TMSDEFS.INC}

interface

uses
  Classes, SysUtils, IWAppForm, IWApplication, IWColor, IWTypes, IWCompEdit,
  Controls, IWVCLBaseControl, IWBaseControl, IWBaseHTMLControl, IWControl,
  IWCompLabel, IWCompButton, IWCompCheckbox, Forms, IWVCLBaseContainer,
  IWContainer, IWHTMLContainer, IWHTML40Container, IWRegion, IWDBStdCtrls, DB
  , uSecControl
  {$IFDEF TMSIW121}
  , IWCompExtCtrls
  {$ENDIF}
  {$IFNDEF TMSIW121}
  , IWExtCtrls
  {$ENDIF}
  ;

type
  TuilUserEvent = procedure(Sender: TObject; UserName: string) of object;

  TIWEditUserForm = class(TIWAppForm)
    IWRegion1: TIWRegion;
    lbUserName: TIWLabel;
    lbFullName: TIWLabel;
    cbOK: TIWButton;
    btCancel: TIWButton;
    IWRegion2: TIWRegion;
    lbFormPolicy: TIWLabel;
    dsUsers: TDataSource;
    edUserName: TIWDBEdit;
    edFullName: TIWDBEdit;
    IWLabel5: TIWLabel;
    IWLabel3: TIWLabel;
    IWLabel1: TIWLabel;
    lbAccessCount: TIWDBLabel;
    lbCreatedDate: TIWDBLabel;
    lbLastAccess: TIWDBLabel;
    cbEnabled: TIWDBCheckBox;
    lbVerify: TIWLabel;
    edVerify: TIWDBEdit;
    edPassword: TIWDBEdit;
    lbPassword: TIWLabel;
    IWImageFile1: TIWImageFile;
    procedure btCancelClick(Sender: TObject);
    procedure cbOKClick(Sender: TObject);
  private
    FOnChange: TuilUserEvent;
  published
    property OnChange: TuilUserEvent read FOnChange write FOnChange;
  public
    SecurityManager : TuilSecurityManager;  
  end;

implementation

{$R *.dfm}


procedure TIWEditUserForm.btCancelClick(Sender: TObject);
begin
  dsUsers.DataSet.Cancel;
  TIWAppForm(WebApplication.ActiveForm).Release;
end;

procedure TIWEditUserForm.cbOKClick(Sender: TObject);
begin
//   with dsUsers.DataSet do
//      FieldByName(SecurityManager.UserBindary.PasswordField).AsString :=
//          SecurityManager.UserBindary.Encrypt(FieldByName(SecurityManager.UserBindary.PasswordField).AsString);
  dsUsers.DataSet.Post;

  if Assigned(OnChange) then
    OnChange(self, edUserName.Text);

  TIWAppForm(WebApplication.ActiveForm).Release;
end;

end.
